Bug 989298 - [abrt] libwebkit2gtk-2.0.3-2.fc19: JSC::DFG::AssemblyHelpers::decodedCodeMapFor(JSC::CodeBlock*): Process /usr/libexec/WebKitWebProcess was killed by signal 11 (SIGSEGV)
[abrt] libwebkit2gtk-2.0.3-2.fc19: JSC::DFG::AssemblyHelpers::decodedCodeMapF...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: webkitgtk3 (Show other bugs)
19
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
abrt_hash:73ee09d027ac4d3bee165d65971...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-28 23:13 EDT by nidejo
Modified: 2015-02-17 11:24 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 11:24:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (63.07 KB, text/plain)
2013-07-28 23:13 EDT, nidejo
no flags Details
File: cgroup (140 bytes, text/plain)
2013-07-28 23:13 EDT, nidejo
no flags Details
File: core_backtrace (9.09 KB, text/plain)
2013-07-28 23:13 EDT, nidejo
no flags Details
File: dso_list (13.80 KB, text/plain)
2013-07-28 23:14 EDT, nidejo
no flags Details
File: environ (1.29 KB, text/plain)
2013-07-28 23:14 EDT, nidejo
no flags Details
File: limits (1.29 KB, text/plain)
2013-07-28 23:14 EDT, nidejo
no flags Details
File: maps (97.96 KB, text/plain)
2013-07-28 23:14 EDT, nidejo
no flags Details
File: open_fds (2.52 KB, text/plain)
2013-07-28 23:14 EDT, nidejo
no flags Details
File: proc_pid_status (796 bytes, text/plain)
2013-07-28 23:14 EDT, nidejo
no flags Details
File: var_log_messages (19.07 KB, text/plain)
2013-07-28 23:14 EDT, nidejo
no flags Details
File: screencast-1.ogv (93.89 KB, application/octet-stream)
2013-07-28 23:14 EDT, nidejo
no flags Details
File: screencast.ogv (43.09 KB, application/octet-stream)
2013-07-28 23:15 EDT, nidejo
no flags Details

  None (edit)
Description nidejo 2013-07-28 23:13:34 EDT
Description of problem:
the browser Epiphany, occasionally hangs, not because suddenly occurs in specific system notifications: 

webkitgtk3 hung
Process /usr/libexec/WebKitWebProcess was killed by signal 11 (SIGSEGV)

Name: webkitgtk3
Version: libwebkit2gtk-2.0.3-2.fc19
Detected: 28/07/19

PD: I'm using Fedora 19

Version-Release number of selected component:
libwebkit2gtk-2.0.3-2.fc19

Additional info:
reporter:       libreport-2.1.5
backtrace_rating: 3
cmdline:        /usr/libexec/WebKitWebProcess 14
crash_function: JSC::DFG::AssemblyHelpers::decodedCodeMapFor(JSC::CodeBlock*)
executable:     /usr/libexec/WebKitWebProcess
kernel:         3.9.9-302.fc19.i686.PAE
runlevel:       N 5
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 JSC::DFG::AssemblyHelpers::decodedCodeMapFor(JSC::CodeBlock*) at /lib/libjavascriptcoregtk-3.0.so.0
 #1 JSC::DFG::OSRExitCompiler::compileExit(JSC::DFG::OSRExit const&, JSC::Operands<JSC::ValueRecovery, JSC::OperandValueTraits<JSC::ValueRecovery> > const&, JSC::DFG::SpeculationRecovery*) at /lib/libjavascriptcoregtk-3.0.so.0
 #2 compileOSRExit at /lib/libjavascriptcoregtk-3.0.so.0
 #3 ??
 #4 JSC::Interpreter::executeCall(JSC::ExecState*, JSC::JSObject*, JSC::CallType, JSC::CallData const&, JSC::JSValue, JSC::ArgList const&) at /lib/libjavascriptcoregtk-3.0.so.0
 #5 JSC::call(JSC::ExecState*, JSC::JSValue, JSC::CallType, JSC::CallData const&, JSC::JSValue, JSC::ArgList const&) at /lib/libjavascriptcoregtk-3.0.so.0
 #6 JSC::boundFunctionCall(JSC::ExecState*) at /lib/libjavascriptcoregtk-3.0.so.0
 #7 ??
 #8 JSC::Interpreter::executeCall(JSC::ExecState*, JSC::JSObject*, JSC::CallType, JSC::CallData const&, JSC::JSValue, JSC::ArgList const&) at /lib/libjavascriptcoregtk-3.0.so.0
 #9 JSC::call(JSC::ExecState*, JSC::JSValue, JSC::CallType, JSC::CallData const&, JSC::JSValue, JSC::ArgList const&) at /lib/libjavascriptcoregtk-3.0.so.0
Comment 1 nidejo 2013-07-28 23:13:49 EDT
Created attachment 779569 [details]
File: backtrace
Comment 2 nidejo 2013-07-28 23:13:53 EDT
Created attachment 779570 [details]
File: cgroup
Comment 3 nidejo 2013-07-28 23:13:57 EDT
Created attachment 779571 [details]
File: core_backtrace
Comment 4 nidejo 2013-07-28 23:14:03 EDT
Created attachment 779572 [details]
File: dso_list
Comment 5 nidejo 2013-07-28 23:14:07 EDT
Created attachment 779573 [details]
File: environ
Comment 6 nidejo 2013-07-28 23:14:11 EDT
Created attachment 779574 [details]
File: limits
Comment 7 nidejo 2013-07-28 23:14:31 EDT
Created attachment 779575 [details]
File: maps
Comment 8 nidejo 2013-07-28 23:14:34 EDT
Created attachment 779576 [details]
File: open_fds
Comment 9 nidejo 2013-07-28 23:14:38 EDT
Created attachment 779577 [details]
File: proc_pid_status
Comment 10 nidejo 2013-07-28 23:14:44 EDT
Created attachment 779578 [details]
File: var_log_messages
Comment 11 nidejo 2013-07-28 23:14:59 EDT
Created attachment 779579 [details]
File: screencast-1.ogv
Comment 12 nidejo 2013-07-28 23:15:08 EDT
Created attachment 779580 [details]
File: screencast.ogv
Comment 13 Daniel Drake 2013-08-23 14:59:59 EDT
This is https://bugs.webkit.org/show_bug.cgi?id=90728

Epiphany (and other webkit users) on F19 (with webkitgtk3-2.0.4) under i686 does crash a lot.  Sometimes the crashes are occasional (e.g. use gmail for a while), certain pages always crash it immediately:

http://www.oanda.com/lang/es/currency/converter/
The whole of github e.g. https://github.com/sugarlabs/sugar/pull/40
http://tirania.org/blog/archive/2012/Oct-22.html

This is a crash in the "standard" javascript engine in webkit. This engine is actually not used in common configurations - instead a faster system is normally used, which is why this bug has sat around without much attention upstream.

The faster engine ("LLint") was disabled in Fedora though, because it was incompatible with Geode LX and similar processors still supported by Fedora i686, https://bugs.webkit.org/show_bug.cgi?id=96286

However, there is a new upstream fix for LLint which makes it work on all i686 processors. https://bugs.webkit.org/show_bug.cgi?id=112239

I have backported that fix locally and it makes things work fine again. I will propose it for inclusion in webkitgtk-2.0.5
Comment 14 Fedora End Of Life 2015-01-09 14:08:20 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 15 Fedora End Of Life 2015-02-17 11:24:17 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.